<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="text-primary-500 cursor-pointer" (click)="showHelp = true">
  <div #ref><ng-content></ng-content></div>
  <i *ngIf="!ref.children.length" class="pi pi-info-circle" style="font-size: 1.5rem"></i>
</div>
<p-dialog header="Adapter description" [(visible)]="showHelp" [modal]="true" [style]="{ width: '900px' }" [draggable]="false" [resizable]="false">
  <div class="flex items-center pb-10 gap-4">
    <app-type-icon [icon]="adapter.icon" [color]="adapter.color" [size]="44"> </app-type-icon>
    <div class="text-md font-semibold text-text-500 leading-none">{{ adapter.name }}</div>
  </div>
  <div class="pb-10">
    <app-adapter-description [adapter]="adapter"></app-adapter-description>
  </div>
</p-dialog>
